Page MenuHomePhabricator

Is the Peru form working? Nov 13th
Closed, DeclinedPublic

Description

There are no contribs in PEN in Civi since November 9th.

When I test the dLocal gateway using:
https://donate.wikimedia.org/w/index.php?title=Special:LandingPage&uselang=en&country=PE

I get:
There has been an error processing your request. Please contact Donor Services at donate@wikimedia.org.
Error reference: 60803442.1

immediately upon selecting a card type

Event Timeline

MBeat33 created this task.Nov 13 2018, 3:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 13 2018, 3:39 PM
MBeat33 triaged this task as High priority.Nov 13 2018, 3:39 PM
MBeat33 raised the priority of this task from High to Unbreak Now!.Nov 13 2018, 3:45 PM
MBeat33 added a subscriber: jgleeson.

@jgleeson was able to replicate this error. It's donor facing, so I'm raising priority for this

Restricted Application added subscribers: Pcoombe, Liuxinyu970226, TerraCodes. · View Herald TranscriptNov 13 2018, 3:45 PM

The same thing happens at the Uruguay link, after entering a CI

Ejegg added a subscriber: Ejegg.Nov 13 2018, 3:51 PM

ok, looks like we're getting 'Payment method not found' back from Astropay.
I set the selection weight down very low on the astropay forms for PE and UY, but the form chooser is still steering people there. Looking at the logic again to see what I missed.

Change 473236 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Disable Astropay at chooser for PE and UY

https://gerrit.wikimedia.org/r/473236

Change 473236 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Disable Astropay at chooser for PE and UY

https://gerrit.wikimedia.org/r/473236

Ejegg added a comment.Nov 13 2018, 5:08 PM

@MBeat33 very sorry about that. Donatewiki should be linking donors to the Ingenico form again by default.

When I deployed the form settings last week, I thought my 'selection weight' setting for the PE and UY astropay forms would keep them from being the default. I forgot that the form chooser first picks the gateway with more available card types before consulting selection weight.

Great, thanks for the fast fix @Ejegg

Ejegg added a comment.Nov 13 2018, 8:54 PM

Sent an email to d-local asking if Perú and Uruguay are activated for our account

Can we reduce this from UBN since Peru donors aren't being sent to dLocal any more?

MBeat33 lowered the priority of this task from Unbreak Now! to Normal.Nov 29 2018, 2:37 PM

Makes sense, the PE & UY forms are working now, routing people to Ingenico.

DStrine closed this task as Declined.May 8 2019, 7:59 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMay 8 2019, 7:59 PM